edu.wpi.first.wpilibj

## Enum AnalogTriggerOutput.AnalogTriggerType

- java.lang.Object
- - java.lang.Enum<AnalogTriggerOutput.AnalogTriggerType>
  - - edu.wpi.first.wpilibj.AnalogTriggerOutput.AnalogTriggerType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AnalogTriggerOutput.AnalogTriggerType>
  Enclosing class:
    AnalogTriggerOutput

      public static enum AnalogTriggerOutput.AnalogTriggerType
      extends java.lang.Enum<AnalogTriggerOutput.AnalogTriggerType>

  Defines the state in which the AnalogTrigger triggers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kFallingPulse`
    `kInWindow`
    `kRisingPulse`
    `kState`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnalogTriggerOutput.AnalogTriggerType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AnalogTriggerOutput.AnalogTriggerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kInWindow

          public static final AnalogTriggerOutput.AnalogTriggerType kInWindow

    - #### kState

          public static final AnalogTriggerOutput.AnalogTriggerType kState

    - #### kRisingPulse

          public static final AnalogTriggerOutput.AnalogTriggerType kRisingPulse

    - #### kFallingPulse

          public static final AnalogTriggerOutput.AnalogTriggerType kFallingPulse

  - ### Method Detail

    - #### values

          public static AnalogTriggerOutput.AnalogTriggerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AnalogTriggerOutput.AnalogTriggerType c : AnalogTriggerOutput.AnalogTriggerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AnalogTriggerOutput.AnalogTriggerType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null